YSTest: YSLib::Components::BorderBrush Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
YSLib::Components::BorderBrush Class Reference

边框画刷。 More...

`#include <YBrush.h>`

Collaboration diagram for YSLib::Components::BorderBrush:
[legend]

## Public Member Functions

| BorderBrush ()=default
| BorderBrush (const BorderBrush &)=default
| 复制构造：默认实现。
| BorderBrush (const BorderStyle &style)
| 初始化；使用指定边框样式。
BorderBrush & | operator= (const BorderBrush &)=default
void | operator() (PaintEventArgs &&)

## Public Attributes

BorderStyle | Style
| 边框样式。

## Detailed Description

边框画刷。

Warning
  非虚析构。

Since
  build 284

Definition at line 102 of file YBrush.h.

## Constructor & Destructor Documentation

YSLib::Components::BorderBrush::BorderBrush | ( |  | ) |

default

YSLib::Components::BorderBrush::BorderBrush | ( | const BorderBrush & |  | ) |

default

复制构造：默认实现。

Since
  build 297

YSLib::Components::BorderBrush::BorderBrush | ( | const BorderStyle & | style | ) |

inline

初始化；使用指定边框样式。

Since
  build 295

Definition at line 121 of file YBrush.h.

## Member Function Documentation

void BorderBrush::operator() | ( | PaintEventArgs && | e | ) |

Definition at line 67 of file YBrush.cpp.

References YSLib::Components::BorderStyle::ActiveColor, DrawRect(), YSLib::Components::GetSizeOf(), YSLib::Components::BorderStyle::InactiveColor, YSLib::Components::IsFocused(), and Style.

Here is the call graph for this function:

BorderBrush& YSLib::Components::BorderBrush::operator= | ( | const BorderBrush & |  | ) |

inlinedefault

## Member Data Documentation

BorderStyle YSLib::Components::BorderBrush::Style

边框样式。

Since
  build 295

Definition at line 109 of file YBrush.h.

Referenced by operator()().

The documentation for this class was generated from the following files:

- YBrush.h
- YBrush.cpp